PMAP_COPY(9)

NAME
pmap_copy, pmap_copy_page - copy physical memory pages

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_copy(pmap_t dst_pmap, pmap_t src_pmap, vm_offset_t dst_addr, vm_size_t len, vm_offset_t src_addr);
void
pmap_copy_page(vm_page_t src, vm_page_t dst);

DESCRIPTION
The pmap_copy() function copies the range specified by src_addr and len from the source physical map src_pmap to the destination physical map dst_pmap at the address dst_addr.

The pmap_copy_page() function copies the physical page src to the physical page dst, by mapping the page into kernel virtual address space (KVA), and using bcopy() to copy the page.

IMPLEMENTATION NOTES
The pmap_copy() routine is only advisory and need not do anything. Actually implementing it may seriously reduce system performance.

The pmap_copy_page() routine only operates upon a single page.

SEE ALSO
bcopy(3), pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.